- Qt 5.5
- Qt Quick
- QML Types
- RegExpValidator QML Type
- Qt 5.5.1 Reference Documentation

# RegExpValidator QML Type

Provides a string validator More...

Import Statement: | import QtQuick 2.5

- List of all members, including inherited members

## Properties

- regExp : regExp

## Detailed Description

The RegExpValidator type provides a validator, which counts as valid any string which matches a specified regular expression.

## Property Documentation

regExp : regExp

This property holds the regular expression used for validation.

Note that this property should be a regular expression in JS syntax, e.g /a/ for the regular expression matching "a".

By default, this property contains a regular expression with the pattern .* that matches any string.